org.apache.lucene.analysis.hi

## Class HindiStemmer

- java.lang.Object
- - org.apache.lucene.analysis.hi.HindiStemmer

-     public class HindiStemmer
      extends Object

  Light Stemmer for Hindi.

  Implements the algorithm specified in: A Lightweight Stemmer for Hindi Ananthakrishnan Ramanathan and Durgesh D Rao. http://computing.open.ac.uk/Sites/EACLSouthAsia/Papers/p6-Ramanathan.pdf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HindiStemmer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `stem(char[] buffer, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HindiStemmer

          public HindiStemmer()

  - ### Method Detail

    - #### stem

          public int stem(char[] buffer,
                          int len)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.